#ifndef MAX6954_H
#define	MAX6954_H
//------------------------Dot Matrix LED  Driver--------------------------------
#include <string.h>
#include "../../assets/i2c/I2C.h"
#include "MAX6955_Prototypes.h"
//------------------------------------------------------------------------------
void MAX6954_init()
{  
  MAX6954_write(DECODE_MODE_REG, DECODE_ALL);         //Decode ascii characters
  MAX6954_write(GLOBAL_INTESITY_REG, BRIGHTNESS); 
  MAX6954_write(SCAN_LIMIT_REG, SCAN_LOW_NIBBLE);
  MAX6954_write(SHUTDOWN_REG, NORMAL_OPERATION);
}
//------------------------------------------------------------------------------
void MAX6954_write(char reg,signed char data)
{  
  I2C_start();
 
  I2C_write(DEVICE_ADDRESS);
  I2C_write(reg); 
  I2C_write(data);
  
  I2C_stop();
}
//------------------------------------------------------------------------------
void MAX6954_displayNumber(signed int number)
{   
  char strNum[10]; 
  sprintf(strNum,"%4i",number);
  
  MAX6954_display(strNum);
}
//------------------------------------------------------------------------------
void MAX6954_display(char text[])
{
  I2C_start();

  I2C_write(DEVICE_ADDRESS);
  I2C_write(DISPLAY_REG0);          //auto increments on every write
  for(char i = 0; i < strlen(text); i++)
  {    
    char digit = (i == 2) ? (text[i] + DECIMAL_POINT) : text[i]; 
    I2C_write( digit );
  }
  
  I2C_stop();
}
//------------------------------------------------------------------------------
#endif	